Geocoding
Search for address candidates
Proxies a free-text address query to Azure Maps Search (Fuzzy Search) and returns a small list of candidate matches with structured address fields and lat/long, for address autocomplete/geocoding.
path Parameters
companyIdThe unique identifier of the company
query Parameters
queryFree-text address query, e.g. "221B Baker Street London"
limitMaximum number of candidates to return (default 5, max 10)
Headers
GoSmarter-Api-KeyThe GoSmarter-Api-Key header is used to authenticate with the API using your API key. Value is of the format YOUR_KEY_HERE.
Search for address candidates › Responses
Candidate address matches, best match first
formattedAddressFull formatted address as returned by Azure Maps
addressLine1Address line 1 (street number + street name)
cityCity / municipality
regionRegion/state/county
postalCodePostal/ZIP code
countryIso2ISO-3166 alpha-2 country code
latitudeLatitude of the matched location
longitudeLongitude of the matched location
confidenceAzure Maps match confidence score (0-1, higher is better)

